# Uses of Class
javax.swing.plaf.TreeUI

Packages that use TreeUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of TreeUI in javax.swing

Methods in javax.swing that return TreeUI
Modifier and Type
Method
Description
`TreeUI`
JTree.`getUI()`
Returns the L&F object that renders this component.
Methods in javax.swing with parameters of type TreeUI
Modifier and Type
Method
Description
`void`
JTree.`setUI​(TreeUI ui)`
Sets the L&F object that renders this component.

## Uses of TreeUI in javax.swing.plaf.basic

Subclasses of TreeUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicTreeUI`
The basic L&F for a hierarchical data structure.

## Uses of TreeUI in javax.swing.plaf.metal

Subclasses of TreeUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalTreeUI`
The metal look and feel implementation of `TreeUI`.

## Uses of TreeUI in javax.swing.plaf.multi

Subclasses of TreeUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiTreeUI`
A multiplexing UI used to combine `TreeUI`s.

## Uses of TreeUI in javax.swing.plaf.synth

Subclasses of TreeUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthTreeUI`
Provides the Synth L&F UI delegate for `JTree`.